{% import 'functions.j2' as macros with context %}
{% if nginx_servers_config is defined %}
  {%- for servers in nginx_servers_config -%}
    {%- if servers.upstream is defined -%}
      {%- for val in servers.upstream +%}
upstream {{ val.name }} {
    {{ macros.iterate(val) }}
}
      {%- endfor +%}
    {% endif %}
    
server {
    {%- if servers is iterable and not servers is string -%}
      {{ macros.iterate(servers.server) }}
    {%- else -%}
    {%- endif +%}
}

  {% endfor %}
{% else %}

server {
	server_name _;
	
	listen 80 default_server;
	listen [::]:80 default_server;

	root /var/www/html;

	index index.html index.php;

	location / {
		try_files $uri $uri/ =404;
		location ~ [^/]\.ph(p\d*|tml)$ {
			try_files /does_not_exists @fallback;
		}
		location ~* ^.+\.(jpg|jpeg|gif|png|css|zip|tgz|gz|rar|bz2|doc|docx|xls|xlsx|exe|pdf|ppt|tar|wav|bmp|rtf|js)$ {
			try_files $uri $uri/ @fallback;
		}
		location / {
			try_files /does_not_exists @fallback;
		}
	}

	location @fallback {
		proxy_pass http://127.0.0.1:80;
		proxy_redirect http://127.0.0.1:80 /;
		proxy_set_header Host $host;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header X-Forwarded-Proto $scheme;
		access_log off;
	}

	location ~ /\.ht {
		deny all;
	}
}

{% endif %}
